## cmss-react-app
A Node Command Line Tool to auto generate a react-redux-fetch web structure.

Includes:
* react
* redux
* fetch
* mock.js
* eslint
* webpack

## Install
```bash
npm install cmss-react-app -g
```

## Usage
#### case 1
```bash
cmss-react-app <project name>
```
Then
```bash
cd <project name>
npm install
npm run mock
```
#### case 2
```bash
cmss-react-app -c <project name>
```
Then
```
configure the package.json file, input and enter.
```
Then
```bash
cd <project name>
npm install
npm run mock
```
Now you can develop your app...

## Options
```bash
  Usage: cmss-react-app [options] <project name>

  Options:
    -c, --config                 config package.json
    -h, --help                   output usage information
    -V, --version                output the version number

```

## Example
```bash
cmss-react-app app
cd app
npm install
npm run mock
```

## RUN MODE
```
npm run server
npm run mock
npm run build
npm run eslint
```
