import React from 'react';
import { List } from 'antd';
import './notices.less';

export default function Notices(props) {
  const { notices, className } = props;
  return (
    <div className={`home-notice-wrapper ${className}`}>
      <h3>重要提示</h3>
      <List
        className="home-notice-list"
        bordered
        dataSource={notices}
        renderItem={notice => (<List.Item>{notice}</List.Item>)}
      />
    </div>
  );
}
