import React from 'react';
import { Spin } from 'antd';
import './technology.less';

export default function Technologies(props) {
  const { technology, className, loading } = props;
  return (
    <div className={`home-technology-wrapper ${className}`}>
      <Spin spinning={loading}>
        {
          technology
            ? (
              <div className="home-technology-description">
                <b>技术描述：</b>
                { technology }
              </div>
            )
            : null
        }
      </Spin>
    </div>
  );
}
